/*

    LPU -- Label Printing Utility
    Copyright (C) 1998  John R. Schrader

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

/*
 *  expr.h -- Berechnung von Ausdruecken
 *
 *      jrs     02.08.97
 */

#ifndef expr_h
#define expr_h


#define T_NUM       1
#define	T_STR       2
#define T_FLT       3

#define CMP_EQ      1
#define CMP_NE      2
#define CMP_LT      3
#define CMP_LE      4
#define CMP_GT      5
#define CMP_GE      6

#define LOP_AND     11
#define LOP_OR      12

#define BOP_AND     21
#define BOP_OR      22


typedef	struct
{
    int     typ;
    long    num;
    double  flt;
    char    str[L_STRING+1];
} VALUE;

typedef struct symbol
{
    struct symbol   *next;
    char            name[L_ID+1];
    VALUE           val;
} SYMBOL;

typedef struct
{
    SYMBOL  *first;
    SYMBOL  *last;
} tVARS;


extern	char	*Cp;
extern  VALUE   Rc;

SYMBOL *symFind(tVARS *blk, char *id);
SYMBOL *symAdd(tVARS *blk, char *id);
SYMBOL *symFindAll(char *id);
SYMBOL *symFindLoc(char *id);
void    symDelAll(tVARS *blk);
void    symDumpAll(tVARS *blk);

int     number(VALUE *v);
int     symbol(VALUE *v);
int     expr(VALUE *v);
int     assign(SYMBOL *s, VALUE *v);
int     str_expr(VALUE *v);
int     num_expr(VALUE *v);
int     flt_expr(VALUE *v);
int     unit_expr(VALUE *v);

#endif	/* expr_h */
