/*

    LPU -- Label Printing Utility
    Copyright (C) 1998  John R. Schrader

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

/*
 *  tdbfuncs.h -- Definitionen fuer die Text-Datenbank
 *
 *      jrs     30.07.97
 */

#ifndef tbdfuncs_h
#define tdbfuncs_h

#ifndef MAXTDB
#define MAXTDB      10
#endif

#define MAXFLD      32

#define TDBSEP      ';'

/***** Definitionen fuer die Verwaltung von Datenbankdateien ************/
typedef struct
{
    FILE   *fp;
    char    name[L_FNAME+1];
    char    line[1024];
    char   *fldtab[MAXFLD];
    char    fldsep;
    int     fldcnt;
    int     recno;
    int     eodflg;
} tTDB;

int   tdb_init(void);
int   tdb_exit(void);
int   tdb_open(int fil, char *dbnam, int typ, int flags, char sep);
int   tdb_close(void);
int   tdb_use(int fil);
int   tdb_top(void);
int   tdb_next(void);
int   tdb_find(int fld, char *pattern);
int   tdb_append(int fil, char *data);
int   tdb_eof(int fil);
int   tdb_fldcnt(int fil);
int   tdb_recno(int fil);
char *tdb_getfld(int fil, int fld);

#endif	/* tdbfuncs_h */

