/*

    LPU -- Label Printing Utility
    Copyright (C) 1998  John R. Schrader

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

/*
 *  utils.h -- Sammlung von Hilfsfunktionen
 *
 *      jrs     02.08.97
 */

#ifndef utils_h
#define utils_h

#define L_STRING    255
#define L_ID        10
#define L_NAME      40
#define L_FNAME     64

extern	char	*Cp;

int     error(char *fmt, ...);
int     warning(char *fmt, ...);
void    verbose(int level, char *fmt, ...);
char   *push_str(char *str);
int     nextline(FILE *fp, char buf[], int siz);
void    skipgap(void);
int     needchar(char c);
int     needcomma(void);
int     needdot(void);
int     needlpar(void);
int     needrpar(void);
int     needstr(char *str);
int     needunit(double *unit);
int     getname(char buf[], int siz, int flg);
int     getdec(int *x);
int     getflt(double *x);
int     getunit(int *x);
int     getfname(char buf[], int siz);

#endif	/* utils_h */
